#
# spec file for package ocli
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2020-2021, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocli
Version:        0.9.0
Release:        6.2
Summary:        OwnTracks command line interface publisher
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Other
URL:            https://github.com/owntracks/ocli
Source:         https://github.com/owntracks/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         0001-FIX-adapted-for-gpsd-3.20.patch
Patch1:         0001-FIX-adapted-for-gpsd-3.21.patch
Patch2:         0001-FIX-adapted-for-gpsd-3.23.1.patch
Patch3:         fix-dangling-pointer.patch
BuildRequires:  gpsd-devel
BuildRequires:  mosquitto-devel
Provides:       owntracks-cli-publisher

%description
This is the OwnTracks command line interface publisher, a.k.a.
ocli, a small utility which connects to gpsd and publishes position
information in OwnTracks JSON to an MQTT broker in order for
compatible software to process location data.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install DESTDIR=%{buildroot} BINDIR=%{_bindir} MANDIR=%{_mandir}

%files
%license LICENSE
%doc README.md
%{_bindir}/owntracks-cli-publisher
%{_mandir}/man1/owntracks-cli-publisher.1%{?ext_man}

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Sun Sep 25 2022 David Arky <david.arky@tutanota.com>
- Add patch:
  * fix-dangling-pointer.patch
* Mon Oct 25 2021 Martin Hauke <mardnh@gmx.de>
- Add patch:
  * 0001-FIX-adapted-for-gpsd-3.23.1.patch
* Thu Nov  5 2020 Martin Hauke <mardnh@gmx.de>
- Add patch:
  * 0001-FIX-adapted-for-gpsd-3.21.patch
* Thu Jun  4 2020 Martin Hauke <mardnh@gmx.de>
- Add patch:
  * 0001-FIX-adapted-for-gpsd-3.20.patch
* Sat Feb 15 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.9.0
  - Rename binary to "owntracks-cli-publisher"
  - Use version tag from "version.h".
  - silence switch is honoured
* Sun Jan 12 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.8.0
  * Improve fake gps data for Paris
  * Add version, adapt CFLAGS, and -s and -v
  * Decrease default publish interval to 1s
  * Add fake data generator
- Remove patch:
  * ocli-obey-cflags.patch (fixed upstream)
* Mon Jan  6 2020 Martin Hauke <mardnh@gmx.de>
- Initial package, version 0.06
